Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.network
Class QNetworkReply.NetworkError

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.network.QNetworkReply.NetworkError

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QNetworkReply

    public static final class QNetworkReply.NetworkError

extends java.lang.Enum
implements QtEnumerator

Indicates all possible error conditions found during the processing of the request.

See also:
  `error()`.

See Also:
  Serialized Form

Field Summary
`static QNetworkReply.NetworkError` | `AuthenticationRequiredError` the remote server requires authentication to serve the content but the credentials provided were not accepted (if any)
`static QNetworkReply.NetworkError` | `ConnectionRefusedError` the remote server refused the connection (the server is not accepting requests)
`static QNetworkReply.NetworkError` | `ContentAccessDenied` the access to the remote content was denied (similar to HTTP error 401)
`static QNetworkReply.NetworkError` | `ContentNotFoundError` the remote content was not found at the server (similar to HTTP error 404)
`static QNetworkReply.NetworkError` | `ContentOperationNotPermittedError` the operation requested on the remote content is not permitted
`static QNetworkReply.NetworkError` | `HostNotFoundError` the remote host name was not found (invalid hostname)
`static QNetworkReply.NetworkError` | `NoError` no error condition.
`static QNetworkReply.NetworkError` | `OperationCanceledError` the operation was canceled via calls to `abort()` or close() before it was finished.
`static QNetworkReply.NetworkError` | `ProtocolFailure` a breakdown in protocol was detected (parsing error, invalid or unexpected responses, etc.)
`static QNetworkReply.NetworkError` | `ProtocolInvalidOperationError` the requested operation is invalid for this protocol
`static QNetworkReply.NetworkError` | `ProtocolUnknownError` the Network Access API cannot honor the request because the protocol is not known
`static QNetworkReply.NetworkError` | `ProxyAuthenticationRequiredError` the proxy requires authentication in order to honour the request but did not accept any credentials offered (if any)
`static QNetworkReply.NetworkError` | `ProxyConnectionClosedError` the proxy server closed the connection prematurely, before the entire reply was received and processed
`static QNetworkReply.NetworkError` | `ProxyConnectionRefusedError` the connection to the proxy server was refused (the proxy server is not accepting requests)
`static QNetworkReply.NetworkError` | `ProxyNotFoundError` the proxy host name was not found (invalid proxy hostname)
`static QNetworkReply.NetworkError` | `ProxyTimeoutError` the connection to the proxy timed out or the proxy did not reply in time to the request sent
`static QNetworkReply.NetworkError` | `RemoteHostClosedError` the remote server closed the connection prematurely, before the entire reply was received and processed
`static QNetworkReply.NetworkError` | `SslHandshakeFailedError` the SSL/TLS handshake failed and the encrypted channel could not be established.
`static QNetworkReply.NetworkError` | `TimeoutError` the connection to the remote server timed out
`static QNetworkReply.NetworkError` | `UnknownContentError` an unknonwn error related to the remote content was detected
`static QNetworkReply.NetworkError` | `UnknownNetworkError` an unknown network-related error was detected
`static QNetworkReply.NetworkError` | `UnknownProxyError` an unknown proxy-related error was detected

Method Summary
`static QNetworkReply.NetworkError` | `resolve(int value)` Returns the QNetworkReply$NetworkError constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QNetworkReply.NetworkError` | `valueOf(java.lang.String name)`
`static QNetworkReply.NetworkError[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoError

    public static final QNetworkReply.NetworkError NoError

  no error condition. Note: When the HTTP protocol returns a redirect no error will be reported. You can check if there is a redirect with the `QNetworkRequest::RedirectionTargetAttribute` attribute.

### ConnectionRefusedError

    public static final QNetworkReply.NetworkError ConnectionRefusedError

  the remote server refused the connection (the server is not accepting requests)

### RemoteHostClosedError

    public static final QNetworkReply.NetworkError RemoteHostClosedError

  the remote server closed the connection prematurely, before the entire reply was received and processed

### HostNotFoundError

    public static final QNetworkReply.NetworkError HostNotFoundError

  the remote host name was not found (invalid hostname)

### TimeoutError

    public static final QNetworkReply.NetworkError TimeoutError

  the connection to the remote server timed out

### OperationCanceledError

    public static final QNetworkReply.NetworkError OperationCanceledError

  the operation was canceled via calls to `abort()` or close() before it was finished.

### SslHandshakeFailedError

    public static final QNetworkReply.NetworkError SslHandshakeFailedError

  the SSL/TLS handshake failed and the encrypted channel could not be established. The sslErrors() signal should have been emitted.

### UnknownNetworkError

    public static final QNetworkReply.NetworkError UnknownNetworkError

  an unknown network-related error was detected

### ProxyConnectionRefusedError

    public static final QNetworkReply.NetworkError ProxyConnectionRefusedError

  the connection to the proxy server was refused (the proxy server is not accepting requests)

### ProxyConnectionClosedError

    public static final QNetworkReply.NetworkError ProxyConnectionClosedError

  the proxy server closed the connection prematurely, before the entire reply was received and processed

### ProxyNotFoundError

    public static final QNetworkReply.NetworkError ProxyNotFoundError

  the proxy host name was not found (invalid proxy hostname)

### ProxyTimeoutError

    public static final QNetworkReply.NetworkError ProxyTimeoutError

  the connection to the proxy timed out or the proxy did not reply in time to the request sent

### ProxyAuthenticationRequiredError

    public static final QNetworkReply.NetworkError ProxyAuthenticationRequiredError

  the proxy requires authentication in order to honour the request but did not accept any credentials offered (if any)

### UnknownProxyError

    public static final QNetworkReply.NetworkError UnknownProxyError

  an unknown proxy-related error was detected

### ContentAccessDenied

    public static final QNetworkReply.NetworkError ContentAccessDenied

  the access to the remote content was denied (similar to HTTP error 401)

### ContentOperationNotPermittedError

    public static final QNetworkReply.NetworkError ContentOperationNotPermittedError

  the operation requested on the remote content is not permitted

### ContentNotFoundError

    public static final QNetworkReply.NetworkError ContentNotFoundError

  the remote content was not found at the server (similar to HTTP error 404)

### AuthenticationRequiredError

    public static final QNetworkReply.NetworkError AuthenticationRequiredError

  the remote server requires authentication to serve the content but the credentials provided were not accepted (if any)

### UnknownContentError

    public static final QNetworkReply.NetworkError UnknownContentError

  an unknonwn error related to the remote content was detected

### ProtocolUnknownError

    public static final QNetworkReply.NetworkError ProtocolUnknownError

  the Network Access API cannot honor the request because the protocol is not known

### ProtocolInvalidOperationError

    public static final QNetworkReply.NetworkError ProtocolInvalidOperationError

  the requested operation is invalid for this protocol

### ProtocolFailure

    public static final QNetworkReply.NetworkError ProtocolFailure

  a breakdown in protocol was detected (parsing error, invalid or unexpected responses, etc.)

Method Detail

### values

    public static QNetworkReply.NetworkError[] values()

### valueOf

    public static QNetworkReply.NetworkError valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QNetworkReply.NetworkError resolve(int value)

  Returns the QNetworkReply$NetworkError constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD